dpt-invite-github(1)

NAME
dpt-invite-github - Invite someone to a GitHub organization

SYNOPSIS
    dpt invite-github [option...] {github-username}

DESCRIPTION
dpt invite-github can be used for inviting people to become members of a GitHub organization. You can set the organization name through "DPT_GITHUB_ORGNAME" environment variable (defaults to pkg-perl-tools).

This script needs the "DPT_GITHUB_OAUTH" environment variable, which can be set in ~/.dpt.conf or ~/.config/dpt.conf. Cf. dpt-github-oauth(1) and dpt-config(5).

You need to have write access to the "admin:org" scope to be able to manage organization memberships. Please, make sure the token you use has that scope in <https://github.com/settings/tokens>.

OPTIONS

--role name
    This option sets the role for the user. Valid roles are admin or member, which is the default.

--force
    Use this option if the GitHub user is already a member of the organization and you want to change their role anyway.

LICENSE AND COPYRIGHT

Copyright 2016 Alex Muntada.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.